
/* 32bit file access, fails on max-1 */

#define MAX_FILE_BLOCK  0x7fffffff
#define MAX_FILE_OFFSET 2147418112     /* =(2147483648 - 65536) */

#define MAX_OUTPUT_FILE_BLOCK 65535     /* 2G/32k -1 */

#define MAX_RUNINFO_RECORDS    128
#define MAX_RUNFILENAME_LENGTH 128

typedef struct runinforecord {
  char vol_name[12];
  char file_name[MAX_RUNFILENAME_LENGTH];
  int start_block;
  int end_block;

/* set after run started */
  char last_file_name[20];
  int current_block;
  char assigned;
  char current;
  short filename_pointer;

/* for future use */
  char reserved[8];
} RunInfo;

/* New Tape Serverdata block header format ... */

typedef struct ts_block_header {
  char name[8];
  int blockno;
  short EGdatastreamno;
  short streamno;
  short TSEndian;
  short DataEndian;
  int nbytes;
} TSHeader;
